## pdfposter 0.4.4

=== SConstruct ===
# -*- mode: python ; coding: utf-8 -*-
#
# Build requirements
# - docutils
# - inkscape
#
# For building tests
# - pdf2ps (comes with ghostscript)
# - poster 
#
# For building examles
# Build requirements
# - ImageMagick
#

import os

ENV = {
    'PYTHONPATH': os.environ['PYTHONPATH'],
    }

env = Environment(ENV=ENV)
env.SConsignFile()

env.Command('pdfposter.1', 'pdfposter.rst',
            'python -S ./docutils-manpage-writer/rst2man.py $SOURCE $TARGET')

# create PNG projectlogo for project homepage
env.Command('projectlogo.png', 'projectlogo.svg',
            'inkscape -z -f $SOURCE -e $TARGET --export-height=100')

env.Export(['env'])
env.SConscript(dirs='test')
env.SConscript(dirs='examples')

## pdfposter 0.5.0

=== debian/changelog ===
pdfposter (0.5.0-2) unstable; urgency=low

  * Added dependency on python-pkg-resources (Closes: #681318)

 -- Elena Grandi <elena.valhalla@gmail.com>  Thu, 12 Jul 2012 17:55:12 +0200

pdfposter (0.5.0-1) unstable; urgency=low

  * New upstream release (Closes: #656033)
  * Adopted package (original maintainer MIA)
  * New (temporary) homepage and download location
  * Deprecation warnings solved upstream (Closes: #605464)
  * debian/control: bump Standards-Version to 3.9.3
  * Switch to dh_python
  * Switch to format 3.0 (quilt)
  * Fail gracefully with non PDF input (Closes: #569552)

 -- Elena Grandi <elena.valhalla@gmail.com>  Wed, 27 Jun 2012 17:02:42 +0200

pdfposter (0.4.4-2) unstable; urgency=low

  [ Sandro Tosi ]
  * debian/control
    - switch Vcs-Browser field to viewsvn

  [ Luca Falavigna ]
  * Switch to python-support.
  * debian/rules: pass --prefix=/usr to setup.py (Closes: #557915).
  * debian/control: bump Standards-Version to 3.8.3, no changes needed.

 -- Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>  Sat, 12 Dec 2009 12:15:47 +0100

pdfposter (0.4.4-1) unstable; urgency=low

  * Initial release (Closes: #495808)

 -- Thomas Bläsing <thomasbl@pool.math.tu-berlin.de>  Tue, 07 Oct 2008 10:20:20 +0200

=== debian/control ===
Source: pdfposter
Section: python
Priority: optional
Maintainer: Elena Grandi <elena.valhalla@gmail.com>
Uploaders: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
Build-Depends: debhelper (>= 7.0.50~)
Build-Depends-Indep: python (>= 2.6.6-3~), python-setuptools (>= 0.6c8), 
 python-docutils, python-pypdf (>= 1.10)
Standards-Version: 3.9.3
Vcs-Svn: svn://svn.debian.org/python-apps/packages/pdfposter
Vcs-Browser: http://svn.debian.org/viewsvn/python-apps/packages/pdfposter/trunk/
Homepage: http://pypi.python.org/pypi/pdftools.pdfposter/

Package: pdfposter
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}, python-pypdf (>= 1.10), python-pkg-resources
Description: scale and tile PDF images/pages to print on multiple pages 
 Pdfposter can be used to create a large poster by building it from
 multiple pages and/or printing it on large media. It expects as input a
 PDF file, normally printing on a single page. The output is again a
 PDF file, maybe containing multiple pages together building the
 poster. The input page will be scaled to obtain the desired size.
 .
 This is much like poster does for Postscript files, but working with PDF.
 Since sometimes poster does not like your files converted from PDF. :-)
 Indeed pdfposter was inspired by poster.  For more information please refer
 to the manpage or visit the project homepage

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with python2

override_dh_auto_clean:
	dh_auto_clean
	rm -r pdftools.pdfposter.egg-info
	rm pdfposter.1

override_dh_auto_install:
	python setup.py install --root=debian/pdfposter --install-layout=deb --install-lib=/usr/share/pdfposter --install-scripts=/usr/share/pdfposter

override_dh_auto_build:
	rst2man pdfposter.rst > pdfposter.1

## pdfposter 0.6.0

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/pdftoolsPDFposter.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/pdftoolsPDFposter.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/pdftoolsPDFposter"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/pdftoolsPDFposter"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

=== debian/changelog ===
pdfposter (0.6.0-2) unstable; urgency=medium

  * Migrate from PyPdf to PyPDF2 (Closes: #763256)
  * Update maintainer email
  * debian/control: bump Standards-Version to 3.9.6 (no changes needed).

 -- Elena Grandi <valhalla-d@trueelena.org>  Thu, 18 Sep 2014 18:51:17 +0200

pdfposter (0.6.0-1) unstable; urgency=low

  [ Jakub Wilk ]
  * Use canonical URIs for Vcs-* fields.

  [ Elena Grandi ]
  * New upstream release
  * Regenerate PDF files from python sources
  * Include html documentation
  * Updated homepage and author contacts
  * debian/control: bump Standards-Version to 3.9.3 (no changes needed).

 -- Elena Grandi <elena.valhalla@gmail.com>  Wed, 22 May 2013 10:03:38 +0200

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,20 @@
 Source: pdfposter
 Section: python
 Priority: optional
-Maintainer: Elena Grandi <elena.valhalla@gmail.com>
+Maintainer: Elena Grandi <valhalla-d@trueelena.org>
 Uploaders: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
 Build-Depends: debhelper (>= 7.0.50~)
 Build-Depends-Indep: python (>= 2.6.6-3~), python-setuptools (>= 0.6c8), 
- python-docutils, python-pypdf (>= 1.10)
-Standards-Version: 3.9.3
-Vcs-Svn: svn://svn.debian.org/python-apps/packages/pdfposter
-Vcs-Browser: http://svn.debian.org/viewsvn/python-apps/packages/pdfposter/trunk/
-Homepage: http://pypi.python.org/pypi/pdftools.pdfposter/
+ python-docutils, python-pypdf2, python-reportlab, python-sphinx
+Standards-Version: 3.9.6
+Vcs-Svn: svn://anonscm.debian.org/python-apps/packages/pdfposter/trunk/
+Vcs-Browser: http://anonscm.debian.org/viewvc/python-apps/packages/pdfposter/trunk/
+Homepage: http://pythonhosted.org/pdftools.pdfposter/
 
 Package: pdfposter
 Architecture: all
-Depends: ${misc:Depends}, ${python:Depends}, python-pypdf (>= 1.10), python-pkg-resources
+Depends: ${misc:Depends}, ${python:Depends}, python-pypdf2, 
+ python-pkg-resources, libjs-jquery, libjs-underscore
 Description: scale and tile PDF images/pages to print on multiple pages 
  Pdfposter can be used to create a large poster by building it from
  multiple pages and/or printing it on large media. It expects as input a

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with python2

override_dh_auto_build:
	dh_auto_build
	python setup.py build_docs
	python examples/gen-examplepages.py examples/testpage-tall.pdf examples/testpage-wide.pdf
	python test/gen-allboxespage.py test/allboxes-noboxes.pdf test/allboxes.pdf
	python test/gen-testpages.py test/testpages-a4.pdf
	python test/gen-trimmedpage.py test/trimmedpage.pdf
	cd docs && make html BUILDDIR=../debian
	#sphinx-build -b html docs debian/html
	rm -f debian/html/_static/jquery.js
	rm -f debian/html/_static/underscore.js
	rm -rf debian/html/.doctrees

override_dh_auto_clean:
	dh_auto_clean
	rm -r pdftools.pdfposter.egg-info
	rm -f pdfposter.1
	rm -rf debian/html

override_dh_auto_install:
	python setup.py install --root=debian/pdfposter --install-layout=deb --install-lib=/usr/share/pdfposter --install-scripts=/usr/share/pdfposter

## pdfposter 0.7.post1

=== debian/changelog ===
pdfposter (0.7.post1-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Debian Janitor ]
  * Use secure URI in Homepage field.
  * Bump debhelper from old 11 to 12.
  * Set upstream metadata fields: Bug-Submit, Repository.
  * Re-export upstream signing key without extra signatures.

 -- Sandro Tosi <morph@debian.org>  Wed, 15 Sep 2021 22:58:19 -0400

pdfposter (0.7.post1-1) unstable; urgency=medium

  [ Elena Grandi ]
  * New upstream release.
    Closes: #833219
  * updated watch file to use http://pypi.debian.net and to check gpg sigs
  * Removed patches merged upstream
  * Update compat to 11
  * Build/depend on python3 instead of python (Closes: #897635)
  * Updated Standards-Version to 4.1.5 (no changes needed)
  * Added UpstreamMetadata.

  [ Ondřej Nový ]
  * d/watch: Use https protocol
  * d/control: Remove trailing whitespaces

 -- Elena Grandi <valhalla@debian.org>  Sat, 28 Jul 2018 18:49:10 +0200

=== debian/control ===
Source: pdfposter
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Elena Grandi <valhalla@debian.org>
Build-Depends:
 debhelper-compat (= 12),
 dh-python
Build-Depends-Indep:
 python3-all,
 python3-setuptools,
 python3-docutils,
 python3-pypdf2,
 python3-reportlab,
 python3-sphinx
Standards-Version: 4.1.5
Vcs-Git: https://salsa.debian.org/python-team/packages/pdfposter.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/pdfposter
Homepage: https://pythonhosted.org/pdftools.pdfposter/

Package: pdfposter
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends},
 python3-pypdf2,
 python3-pkg-resources,
 libjs-jquery,
 libjs-underscore
Description: scale and tile PDF images/pages to print on multiple pages
 Pdfposter can be used to create a large poster by building it from
 multiple pages and/or printing it on large media. It expects as input a
 PDF file, normally printing on a single page. The output is again a
 PDF file, maybe containing multiple pages together building the
 poster. The input page will be scaled to obtain the desired size.
 .
 This is much like poster does for Postscript files, but working with PDF.
 Since sometimes poster does not like your files converted from PDF. :-)
 Indeed pdfposter was inspired by poster.  For more information please refer
 to the manpage or visit the project homepage

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build
	python3 setup.py build_docs
	cd docs && make html BUILDDIR=../debian

override_dh_auto_clean:
	dh_auto_clean
	rm -r pdftools.pdfposter.egg-info
	rm -f pdfposter.1
	rm -rf debian/html

override_dh_auto_install:
	python3 setup.py install --root=debian/pdfposter --install-layout=deb --install-lib=/usr/share/pdfposter --install-scripts=/usr/share/pdfposter

## pdfposter 0.8.1

=== docs/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = python3 -msphinx
SPHINXPROJ    = pdfposter
SOURCEDIR     = .
BUILDDIR      = _build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

=== debian/changelog ===
pdfposter (0.8.1-4) unstable; urgency=medium

  * Team upload.
  * Remove runtime dep on python3-pkg-resources (Closes: #1083533)
  * Reformat d/control with debputy

 -- Alexandre Detiste <tchet@debian.org>  Mon, 10 Feb 2025 06:46:43 +0100

pdfposter (0.8.1-3) unstable; urgency=medium

  * Team upload.
  * Port to pypdf. (Closes: #1071534, #1029738)
  * Tweak sphinx configurationi. (Closes: #1090115)

 -- Bastian Germann <bage@debian.org>  Tue, 14 Jan 2025 23:16:49 +0100

pdfposter (0.8.1-2) unstable; urgency=medium

  * Team upload.
  * Clean the package properly. (Closes: #1052928)
  * Replace no longer updated Homepage.
  * Bump debhelper from old 12 to 13.

 -- Bastian Germann <bage@debian.org>  Wed, 04 Oct 2023 14:55:27 +0200

pdfposter (0.8.1-1) unstable; urgency=medium

  * New upstream version 0.8.1 (Closes: #1023665).

 -- Bastian Germann <bage@debian.org>  Tue, 15 Nov 2022 00:24:56 +0100

=== debian/control ===
--- 
+++ 
@@ -2,29 +2,33 @@
 Section: python
 Priority: optional
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
-Uploaders: Elena Grandi <valhalla@debian.org>
+Uploaders:
+ Elena Grandi <valhalla@debian.org>,
 Build-Depends:
- debhelper-compat (= 12),
- dh-python
+ debhelper-compat (= 13),
+ dh-python,
 Build-Depends-Indep:
  python3-all,
+ python3-docutils,
+ python3-pypdf,
+ python3-reportlab,
  python3-setuptools,
- python3-docutils,
- python3-pypdf2,
- python3-reportlab,
- python3-sphinx
+ python3-sphinx,
 Standards-Version: 4.1.5
 Vcs-Git: https://salsa.debian.org/python-team/packages/pdfposter.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/pdfposter
-Homepage: https://pythonhosted.org/pdftools.pdfposter/
+Homepage: https://pdfposter.readthedocs.io/
+X-Style: black
 
 Package: pdfposter
 Architecture: all
-Depends: ${misc:Depends}, ${python3:Depends},
- python3-pypdf2,
- python3-pkg-resources,
+Depends:
  libjs-jquery,
- libjs-underscore
+ libjs-underscore,
+ python3-pypdf,
+ ${misc:Depends},
+ ${python3:Depends},
+ ${sphinxdoc:Depends},
 Description: scale and tile PDF images/pages to print on multiple pages
  Pdfposter can be used to create a large poster by building it from
  multiple pages and/or printing it on large media. It expects as input a

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build
	python3 setup.py build_docs
	cd docs && PYTHONPATH=.. make html BUILDDIR=../debian

override_dh_auto_install:
	python3 setup.py install --root=debian/pdfposter --install-layout=deb --install-lib=/usr/share/pdfposter --install-scripts=/usr/share/pdfposter

## pdfposter 0.9.1

=== Makefile ===
# Copyright (C) 2008-2025 Hartmut Goebel <h.goebel@crazy-compilers.com>
# SPDX-License-Identifier: GPL-3.0-or-later

.PHONY: all

.PHONY: i18n-extract i18n-init i18n-update i18n-compile i18n-merge
.PHONY: weblate-merge

all: projectlogo.png

%.png: %.svg
	inkscape --export-dpi=75 --export-overwrite --export-type=png $<


# ---- i18n support ---—
# Run babel via setup.py so babel picks up the config from setup.cfg

WEBLATE=https://translate.codeberg.org/git/pdftools/pdfposter/
PACKAGE_DIR=pdfposter
DOMAIN=pdfposter
WEBLATE_BRANCH=develop

# For every update: extract/update message template
i18n-extract:
	mkdir -p ${PACKAGE_DIR}/locale
	python setup.py extract_messages \
	  --input-dirs=${PACKAGE_DIR},$(shell \
              python -c "import argparse;print(argparse.__file__)")
	git commit -m "i18n: Update translation template file (.pot)." \
	  ${PACKAGE_DIR}/locale/${DOMAIN}.pot

# Once per language: Create a new translation from the template
i18n-init:
	python setup.py init_catalog --locale "${language}"

# Update existing translations (from the template)
i18n-update: i18n-extract
	python setup.py update_catalog
	echo "Now edit the messages and run 'make i18n-compile' for testing"

# Compile the message catalogs
# Catalogs are automatically compiled by zest.release when running 'release'.
i18n-compile:
	python setup.py compile_catalog

i18n-merge: weblate-merge
weblate-merge:
	git remote -v | grep -cq weblate || \
		git remote add weblate ${WEBLATE}
	git fetch weblate ${WEBLATE_BRANCH}
	git merge --no-edit weblate/${WEBLATE_BRANCH}

=== SConstruct ===
# -*- mode: python ; coding: utf-8 -*-
#
# Copyright (C) 2008-2025 Hartmut Goebel <h.goebel@crazy-compilers.com>
# SPDX-License-Identifier: GPL-3.0-or-later
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program. If not, see <https://www.gnu.org/licenses/>.
#
#
# Build requirements
# - docutils
# - inkscape
#
# For building tests
# - pdf2ps (comes with ghostscript)
# - poster 
#
# For building examles
# Build requirements
# - ImageMagick
#

import os

ENV = {
    'PYTHONPATH': os.environ.get('PYTHONPATH'),
    'PATH': os.environ['PATH'],
    }

env = Environment(ENV=ENV)
env.SConsignFile()

env.Export(['env'])
env.SConscript(dirs='test')
env.SConscript(dirs='examples')

env.Command('docs/pdfposter.html', 'pdfposter.rst',
            'build-aux/gen-man-page.py $SOURCE html $TARGET')
env.Command('docs/pdfposter.1', 'pdfposter.rst',
            'build-aux/gen-man-page.py $SOURCE manpage $TARGET')
# create PNG projectlogo for project homepage
env.Command('projectlogo.png', 'projectlogo.svg',
            'inkscape --export-filename=$TARGET --export-height=100 $SOURCE')

hires_logo = env.Command('build/icons/projectlogo-hires.png', 'projectlogo.svg',
                         'inkscape --export-filename=$TARGET $SOURCE')

icon_parts = [
    env.Command('build/icons/project-${WIDTH}x${HEIGHT}.pnm', hires_logo,
                'pngtopnm $SOURCE ' \
                '| pnmscale -width=$WIDTH -height=$HEIGHT ' \
                '| ppmquant 256 > $TARGET',
                WIDTH=w, HEIGHT=w)
    for w in (16, 32, 48)
    ]

env.Command('projectlogo.ico', icon_parts,
            'ppmtowinicon $SOURCES > $TARGET')

=== docs/Makefile ===
--- 
+++ 
@@ -1,5 +1,6 @@
 # Minimal makefile for Sphinx documentation
-#
+# SPDX-FileCopyrightText: NONE
+# SPDX-License-Identifier: CC0-1.0
 
 # You can set these variables from the command line.
 SPHINXOPTS    =

=== debian/changelog ===
pdfposter (0.9.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 0.9.1 (Closes: #1112476, #1112477)
  * Drop explicit dependency on libjs-jquery

 -- Alexandre Detiste <tchet@debian.org>  Sat, 06 Sep 2025 00:11:17 +0200

=== debian/control ===
--- 
+++ 
@@ -6,15 +6,17 @@
  Elena Grandi <valhalla@debian.org>,
 Build-Depends:
  debhelper-compat (= 13),
- dh-python,
+ dh-sequence-python3,
+ pybuild-plugin-pyproject
 Build-Depends-Indep:
  python3-all,
  python3-docutils,
  python3-pypdf,
+ python3-pytest <!nocheck>,
  python3-reportlab,
  python3-setuptools,
- python3-sphinx,
-Standards-Version: 4.1.5
+ python3-sphinx <!nodoc>,
+Standards-Version: 4.7.2
 Vcs-Git: https://salsa.debian.org/python-team/packages/pdfposter.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/pdfposter
 Homepage: https://pdfposter.readthedocs.io/
@@ -23,8 +25,6 @@
 Package: pdfposter
 Architecture: all
 Depends:
- libjs-jquery,
- libjs-underscore,
  python3-pypdf,
  ${misc:Depends},
  ${python3:Depends},

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with sphinxdoc --buildsystem=pybuild

execute_after_dh_auto_build:
	cd docs && PYTHONPATH=.. make html BUILDDIR=../debian
	python3 build-aux/gen-man-page.py docs/Usage.rst manpage docs/pdfposter.1

=== debian/watch ===
version=4
opts=uversionmangle=s/(rc|a|b|c)/~$1/,pgpmode=auto \
https://pypi.debian.net/pdftools.pdfposter/pdftools.pdfposter-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
